phing-tasks-system

# Class: CvsTask Source Location: /tasks/system/CvsTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --CvsTask
Task for performing CVS operations. #### Author(s): Hans Lellelid <hans@xmpl.org> (Phing) Kevin Ross <kevin.ross@bredex.com> (Ant) costin@dnt.ro (Ant) stefano@apache.org (Ant) Wolfgang Werner <wwerner@picturesafe.de> (Ant) #### Version: $Revision: 526 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Constants DEFAULT_COMPRESSION_LEVEL | ### Methods addConfiguredCommandline appendCommandArgument configureCommandline getCommand getCvsRoot getCvsRsh getDest getModule getPassFile getPort init main removeCommandline runCommand setCommand setCompression setCompressionLevel setCvsRoot setCvsRsh setDate setDest setError setFailOnError setModule setNoexec setOutput setPassfile setPort setQuiet setTag
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 41] Task for performing CVS operations. NOTE: This implementation has been moved here from Cvs.java with the addition of some accessors for extensibility. Another task can extend this with some customized output processing. #### Tags:
author: | Hans Lellelid <hans@xmpl.org> (Phing)
author: | Kevin Ross <kevin.ross@bredex.com> (Ant)
author: | costin@dnt.ro (Ant)
author: | stefano@apache.org (Ant)
author: | Wolfgang Werner <wwerner@picturesafe.de> (Ant)
version: | $Revision: 526 $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method addConfiguredCommandline [line 492]
`void addConfiguredCommandline( $c, [ $insertAtStart = false])`
Configures and adds the given Commandline. #### Tags:
access: | public
#### Parameters:
insertAtStart | $c | If true, c is
| $insertAtStart |
[ Top ] ### method appendCommandArgument [line 398]
`void appendCommandArgument( $arg)`
This needs to be public to allow configuration of commands externally. #### Tags:
access: | public
#### Parameters:
| $arg |
[ Top ] ### method configureCommandline [line 456]
`string configureCommandline( $c)`
Configure a commandline element for things like cvsRoot, quiet, etc. #### Tags:
access: | protected
#### Parameters:
| $c |
[ Top ] ### method getCommand [line 421]
`void getCommand( )`
#### Tags:
access: | public
[ Top ] ### method getCvsRoot [line 300]
`void getCvsRoot( )`
#### Tags:
access: | public
[ Top ] ### method getCvsRsh [line 320]
`void getCvsRsh( )`
#### Tags:
access: | public
[ Top ] ### method getDest [line 365]
`void getDest( )`
#### Tags:
access: | public
[ Top ] ### method getModule [line 378]
`void getModule( )`
#### Tags:
access: | public
[ Top ] ### method getPassFile [line 352]
`File getPassFile( )`
#### Tags:
access: | public
[ Top ] ### method getPort [line 336]
`int getPort( )`
#### Tags:
access: | public
[ Top ] ### method init [line 125]
`void init( )`
#### Tags:
access: | public
Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 245]
`void main( )`
#### Tags:
throws: | BuildException
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method removeCommandline [line 479]
`void removeCommandline( $c)`
#### Tags:
access: | protected
#### Parameters:
Commandline | $c |
[ Top ] ### method runCommand [line 134]
`void runCommand( $toExecute)`
Sets up the environment for toExecute and then runs it. #### Tags:
throws: | BuildException
access: | protected
#### Parameters:
Commandline | $toExecute |
[ Top ] ### method setCommand [line 417]
`void setCommand( string $c)`
The CVS command to execute. #### Tags:
access: | public
#### Parameters:
string | $c |
[ Top ] ### method setCompression [line 519]
`void setCompression( boolean $usecomp)`
If true, this is the same as compressionlevel="3". #### Tags:
access: | public
#### Parameters:
boolean | $usecomp | If true, turns on compression using default level, AbstractCvsTask.DEFAULT_COMPRESSION_LEVEL.
[ Top ] ### method setCompressionLevel [line 509]
`void setCompressionLevel( int $level)`
If set to a value 1-9 it adds -zN to the cvs command line, else it disables compression. #### Tags:
access: | public
#### Parameters:
int | $level |
[ Top ] ### method setCvsRoot [line 288]
`void setCvsRoot( string $root)`
The CVSROOT variable. #### Tags:
access: | public
#### Parameters:
string | $root |
[ Top ] ### method setCvsRsh [line 309]
`void setCvsRsh( rsh $rsh)`
The CVS_RSH variable. #### Tags:
access: | public
#### Parameters:
rsh | $rsh |
[ Top ] ### method setDate [line 406]
`void setDate( p $p)`
Use the most recent revision no later than the given date. #### Tags:
access: | public
#### Parameters:
p | $p |
[ Top ] ### method setDest [line 361]
`void setDest( $dest)`
The directory where the checked out files should be placed. #### Tags:
access: | public
#### Parameters:
PhingFile | $dest |
[ Top ] ### method setError [line 536]
`void setError( $f, PhingFile $output)`
File to which error output should be written. #### Parameters:
PhingFile | $output |
PhingFile | $f |
[ Top ] ### method setFailOnError [line 448]
`void setFailOnError( boolean $failOnError)`
Stop the build process if the command exits with a return code other than 0. Defaults to false. #### Tags:
access: | public
#### Parameters:
boolean | $failOnError |
[ Top ] ### method setModule [line 374]
`void setModule( $m, string $p)`
The package/module to operate upon. #### Tags:
access: | public
#### Parameters:
string | $p |
| $m |
[ Top ] ### method setNoexec [line 438]
`void setNoexec( boolean $ne)`
If true, report only and don't change any files. #### Tags:
access: | public
#### Parameters:
boolean | $ne |
[ Top ] ### method setOutput [line 528]
`void setOutput( $f, PhingFile $output)`
File to which output should be written. #### Parameters:
PhingFile | $output |
PhingFile | $f |
[ Top ] ### method setPassfile [line 345]
`void setPassfile( $passFile)`
Password file to read passwords from. #### Tags:
access: | public
#### Parameters:
passFile | $passFile |
[ Top ] ### method setPort [line 329]
`void setPort( int $port)`
Port used by CVS to communicate with the server. #### Tags:
access: | public
#### Parameters:
int | $port |
[ Top ] ### method setQuiet [line 429]
`void setQuiet( boolean $q)`
If true, suppress informational messages. #### Tags:
access: | public
#### Parameters:
boolean | $q |
[ Top ] ### method setTag [line 386]
`void setTag( string $p)`
The tag of the package/module to operate upon. #### Tags:
access: | public
#### Parameters:
string | $p |
[ Top ] ### Class Constants #### DEFAULT_COMPRESSION_LEVEL = 3 [line 47] Default compression level to use, if compression is enabled via setCompression( true ). [ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:41 +0200 by phpDocumentor 1.4.3